<?php // The template for displaying Comments

// If the current post is protected by a password and the visitor has not yet entered the password we will return early without loading the comments.
if ( post_password_required() ) {
	return;
} ?>

<div id="comments" class="comments-area">

	<?php if ( have_comments() ) { ?>
		
		<h2 class="comments-title"><?php comments_number('No comments'); ?></h2>

		<ol class="commentlist">
			<?php wp_list_comments(
				array(
					'type'		=> 'all', // Default
					'style'    	=> 'ol',
				)
			); ?>
		</ol>

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) { // are there comments to navigate through? ?>
		<nav id="comment-nav-below" class="navigation" role="navigation">
			<h5 class="assistive-text section-heading">Comment Navigation</h5>
			<div class="nav-previous"><i class="fas fa-chevron-left"></i><?php previous_comments_link( 'Older Comments' ); ?></div>
			<div class="nav-next"><?php next_comments_link( 'Newer Comments' ); ?><i class="fas fa-chevron-right"></i></div>
		</nav>
		<?php };

		// If there are no comments and comments are closed, let's leave a note. But we only want the note on posts and pages that had comments in the first place.
		if ( ! comments_open() && get_comments_number() ) { ?>
		<p class="nocomments">Comments are closed</p>
		<?php };

	}

	comment_form(); ?>

</div>