<?php
/**
 * Template Name: Whats On
 * 
 */

get_header();

$page_id = get_the_ID();
$organiser = get_field('page_event_organiser', $page_id); ?>

<main>

    <section id="ri-block-editor">
        <?php the_content(); ?>
    </section>

    <div class="container-wrap" id="events-search" >
        <div class="container">

            <form id="search-form">
                <div class="search-name">
                    <input type="text" name="q" id="event-name" value="<?php echo $q_event; ?>" placeholder="Search for Events" />
                    <ion-icon name="search-outline"></ion-icon>
                </div>
            
                <div class="search-dates">
                    <div class="presets">
                        <input type="radio" id="all" name="date" value="all" <?php echo $all; ?>>
                        <label class="date-label" for="all">All</label>
                        <input type="radio" id="today" name="date" value="today" <?php echo $today; ?>>
                        <label class="date-label" for="today">Today</label>
                        <input type="radio" id="week" name="date" value="week" <?php echo $week; ?>>
                        <label class="date-label" for="week">This Week</label>
                        <input type="radio" id="month" name="date" value="month" <?php echo $month; ?>>
                        <label class="date-label" for="month">This Month</label>
                    </div>
                    <div class="date-range">
                        <div class="date-range-options">
                            <label for="datepicker" >or Select dates:</label>
                            <span id="picker-clear" class="hide">x clear</span>
                        </div>
                        <input type="text" name="date_range" id="datepicker" />
                    </div>
                </div>

                <div class="filters">
                    <div class="inner-wrap">

                    </div>
                </div>

            </form>

        </div>

    </div>

    <?php // event grid
    $events = get_posts(array(
        'post_type' 		=> 'event',
        'posts_per_page' 	=> -1,
        'suppress_filters'  => false,
        'meta_query' 		=> array(
            'relation'  => 'AND',
            array(
                'key'       => 'event_status',
                'compare'   => '!=',
                'value'     => 'draft'
            ),
            array(
                'key'       => 'event_visibility',
                'compare'   => '=',
                'value'     => true
            ),
            array(
                'key'       => 'event_organiser',
                'compare'   => '=',
                'value'     => $organiser,
            ), 
        ),
    )); ?>

    <section class="container-wrap event-listing">
        <div class="container">
    
            <?php if($events) {

                $event_listings = array();

                foreach($events as $event) {

                    $event_dates = get_field('event_series_dates', $event);
                    if($event_dates) {

                        $sorted_dates = array();
                        foreach($event_dates as $event_date) {
                            
                            $start_date = $event_date['event_series_start_datetime'];
                            if(strtotime($start_date) >= strtotime("today")) {
                                $dateObject = new DateTime($start_date);
                                array_push($sorted_dates, $dateObject);
                            }
                            
                        }

                        if(count($sorted_dates) > 0) {
                            usort($sorted_dates, function ($a, $b) {
                                return $a->format('Y-m-d H:i:s') <=> $b->format('Y-m-d H:i:s');
                            });
    
                            $next_date = $sorted_dates[0]->format('Y-m-d H:i:s');
    
                            $ev = array(
                                'event_id'  => $event->ID,
                                'next_date' => $next_date,
                            );
    
                            array_push($event_listings, $ev);
                        }
                        
                    }

                }

                if(count($event_listings) > 0) {

                    // sort $event_listings by date order
                    usort($event_listings, function ($a, $b) {
                        return strtotime($a['next_date']) <=> strtotime($b['next_date']);
                    });

                    foreach($event_listings as $event_listing) {
                        get_template_part( 'template-parts/events/event', 'preview', array(
                            'event_id'  => $event_listing['event_id'],
                            'next_date' => $event_listing['next_date'],
                        ));
                    }

                }

            } ?>
        
        </div>
    </section>

</main>

<?php get_footer();

